//////////////////////////////////////////
// TBEditor.cpp
//Copyright (c) 08/21/2002 by BCCSkelton
//////////////////////////////////////////
#include	"TBEditor.h"
//☆User.hを入れる
#include	"User.h"
#include	"TBEditorProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//☆２重起動防止を有効にする
	if(!TBEditor.IsOnlyOne()) {
		HWND hWnd = FindWindow("MainWnd", NAME);
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）"IDI_ICON", IDC_ARROW, Brush)
	TBEditor.Init("MainWnd", hInstance, SDIPROC, "IDM_MAIN", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	//☆ウィンドウスタイルとサイズをいじる
	if(!TBEditor.Create(NAME,
						WS_CAPTION | WS_SYSMENU | WS_MINIMIZEBOX,
						0, NULL, NULL, CW_USEDEFAULT, CW_USEDEFAULT,
						520, 360))
		return 0L;

	//アクセラレーター登録−InclAccel("(Accelerator ID)")
	TBEditor.InclAccel("IDA_ACCEL");

	//☆起動時にファイル名が与えられていた場合、自動的に開く
	if(*lpCmdLine) {
		g_FileName = arg.v(1);
		g_FileGiven = TRUE;
		SendMessage(TBEditor.m_hWnd, WM_COMMAND, IDM_OPEN, 0);
	}
	else	//☆そうでない場合自動的に新規作成
		SendMessage(TBEditor.m_hWnd, WM_COMMAND, IDM_NEW, 0);

	//メッセージループに入る
	return TBEditor.Loop();
}
